Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I tried to install qgis 1.9 in my laptop. I use Lubuntu 13.04 (64bit). I used the repository

deb     http://qgis.org/debian-nightly raring main
deb-src http://qgis.org/debian-nightly raring main

and I didn't find any error during the installation.

When I try to start qgis I obtain this message:

/usr/bin/qgis.bin: error while loading shared libraries: libgdal1.7.0.so.1: cannot open shared object file: No such file or directory

If I try

sudo apt-get update
Sudo apt-get upgrade 

I obtain those messages:

Configurazione di qgis-providers-common (1.9.0+git20130529+e0406e7~raring1)...

/usr/lib/qgis/crssync: error while loading shared libraries: libgdal1.7.0.so.1: cannot open shared object file: No such file or directory
dpkg: errore nell'elaborare qgis-providers-common (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 127
dpkg: problemi con le dipendenze impediscono la configurazione di qgis-providers:
 qgis-providers dipende da qgis-providers-common (= 1.9.0+git20130529+e0406e7~raring1); comunque:
  Il pacchetto qgis-providers-common non è ancora configurato.

dpkg: errore nell'elaborare qgis-providers (--configure):
 problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di qgis:
 qgis dipende da qgis-providers (= 1.9.0+git20130529+e0406e7~raring1); comunque:
  Il pacchetto qgis-providers non è ancora configurato.

dpkg: errore nell'elaborare qgis (--configure):
 problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di qgis-plugin-globe:
qgis-plugin-globe dipende da qgis (= 1.9.0+git20130529+e0406e7~raring1); comunque:
Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.

Segnalazione apport non scritta poiché è stato raggiunto il valore massimo di MaxReports

  Il pacchetto qgis non è ancora configurato.

dpkg: errore nell'elaborare qgis-plugin-globe (--configure):
 problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di qgis-plugin-grass:
 qgis-plugin-grass dipende da qgis (= 1.9.0+git20130529+e0406e7~raring1); comunque:
  Il pacchetto qgis non è ancora configurato.

dpkg: errore nell'elaborare qgis-plugin-grass (--configure):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 qgis-providers-common
 qgis-providers
 qgis
 qgis-plugin-globe
 qgis-plugin-grass
E: Sub-process /usr/bin/dpkg returned an error code (1)

I apologize for the Italian messages.

Could you help me?

Thank you

share|improve this question

closed as off-topic by underdark Oct 4 '13 at 16:26

  • This question does not appear to be about geographic information systems within the scope defined in the help center.
If this question can be reworded to fit the rules in the help center, please edit the question.

    
whats the output of locate libgdal1.7.0.so.1? (you might need to do sudo updatedb first) –  nickves Jul 2 '13 at 10:16
    
aptitute is some times smarter then apt-get. Try sudo aptitute dist-upgrade to resolve any conflicts –  nickves Jul 2 '13 at 10:21
    
This question is closed because the problem was caused by a temporary bug in the development version which has been fixed. –  underdark Oct 4 '13 at 16:26

1 Answer 1

You can find some help in searching for the tags related to qgis and ubuntu/centos here. The first message is related to a missing gdal installation (or at least the installer cannot find it). Install the necessary plugins and go to the configure script to set the path to gdal.

You try to install qgis with grass support but do not have grass installed. The message tells you to install the related packages prior to compiling qgis.

share|improve this answer
    
I solved. I think it was a bug and the guys of QGIS fixed it. Thank you so much –  user18228 Jul 3 '13 at 11:47

Not the answer you're looking for? Browse other questions tagged or ask your own question.